# Class CIM_AccountSettingData
extends CIM_SettingData

CIM_AccountSettingData provides the ability to manage the desired configuration for an instance of CIM_Account. When associated with an instance of CIM_AccountManagementService, this class may be used to constrain the properties of instances of CIM_Accountcreated using the service. When associated with an instance of CIM_Account, this class may be used to manage the configuration of the CIM_Acount instance.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_AccountSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

CIM_AccountSettingData provides the ability to manage the desired configuration for an instance of CIM_Account. When associated with an instance of CIM_AccountManagementService, this class may be used to constrain the properties of instances of CIM_Accountcreated using the service. When associated with an instance of CIM_Account, this class may be used to manage the configuration of the CIM_Acount instance.

UMLPackagePath | string | CIM::User::Account
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InactivityTimeout | datetime |
Description | string | InactivityTimeout specifies the interval after which if an account has been inactive, it shall be Disabled. The value shall be expressed in interval format or shall be NULL. A value of NULL shall indicate that the Account will not be disabled due to inactivity.
MaximumPasswordExpiration | datetime |
Description | string | MaximumPasswordExpiration indicates the maximum password age enforced for the Account. The value shall be expressed in interval format or shall be NULL. A value of NULL shall indicate that the password aging is not enforced.
MaximumSuccessiveLoginFailures | uint16 |
Description | string | MaximumSuccessiveLoginFailures indicates the number of successive failed login attempts that shall result in the Account being disabled. A value of zero shall indicate that the Account will not be disabled due to successive failed login attempts.
PasswordHistoryDepth | uint16 |
Description | string | PasswordHistoryDepth indicates the number of previous passwords that shall be maintained for the Account. The Account shall preclude the selection of a password if it occurs in the password history. A value of zero shall indicate that a password history is not maintained.
ComplexPasswordRulesEnforced | uint16[] |

Description

string

ComplexPasswordRulesEnforced indicates the rules for constructing a complex password enforced by the Account. Minimum Length a minimum length is enforced for passwords for the account. Preclude User ID inclusion precluding the password from including the user ID is supported. Maximum Repeating Characters a limit will be enforced on the number of times a character can occur consecutively. Lower Case Alpha at least one lower case alpha character is required. Upper Case Alpha at least one upper case alpha character is required. Numeric Character at least one numeric character is required. Special Character at least one special character is required.

ValueMap | string | 2, 3, 4, 5, 6, 7, 8, .., 0x8000..0xFFFF
Values | string | Minimum Length, Preclude User ID Inclusion, Maximum Repeating Characters, Lower Case Alpha, Upper Case Alpha, Numeric Character, Special Character, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods